%{?nodejs_find_provides_and_requires}

%global packagename assert-called
%global enable_tests 1

Name:		nodejs-assert-called
Version:	0.1.2
Release:	1%{?dist}
Summary:	Assert that your callback got called

License:	MIT
URL:		https://github.com/mmalecki/assert-called.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}-1.tgz


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging


%description
Assert that your callback got called


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test/assert-called-test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Dec  8 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.1.2-1
- Initial packaging
